Yaf_Route_Map::route
Yaf_Route_Regex::__construct
Yaf
PHP Manual

# The Yaf_Route_Regex class

(Yaf >=1.0.0)

## Introduction

Yaf_Route_Regex is the most flexible route among the Yaf built-in routes.

## Class synopsis

Yaf_Route_Regex extends Yaf_Route_Interface implements Yaf_Route_Interface {
/* Properties */
protected $_route ;
protected $_default ;
protected $_maps ;
protected $_verify ;
/* Methods */
public __construct ( string `$match` , array `$route` [, array `$map` [, array `$verify` ]] )
public bool route ( Yaf_Request_Abstract `$request` )
/* Inherited methods */
abstract public bool Yaf_Route_Interface::route ( Yaf_Request_Abstract `$request` )
}

## Properties

_route

_default

_maps

_verify

## Table of Contents

- Yaf_Route_Regex::__construct — The __construct purpose
- Yaf_Route_Regex::route — The route purpose

Yaf_Route_Map::route
Yaf_Route_Regex::__construct
Yaf
PHP Manual